#modname "Warhammer Poptype PD 2.2"
#description "A mod to allow Sombre's Warhammer nations to replace independent recruitables and independent province defence with national recruitables and PD. This mod only works in conjunction with the Sombre Warhammer compilation pack."
#icon "./Warhammer_Poptype_PD/logo.tga"
#version 2.2

-- #dependency Sombre_Warhammer.dm

-- the above line is needed by Kutcop's mod merger


-- Poptype IDS -- Nation IDs involved

----------------------------- 69 -- 150 -- Nurgle
----------------------------- 67 -- 162 -- Norsca
----------------------------- 11 -- 110 -- High Elves
----------------------------- 12 -- 112 -- Tomb Kings
----------------------------- 13 -- 113 -- Vampires
----------------------------- 14 -- 114 -- Bretonnia
----------------------------- 15 -- 115 -- Tilea
----------------------------- 16 -- 116 -- Skaven
----------------------------- 17 -- 117 -- Dwarfs
----------------------------- 18 -- 121 -- Ogre Kingdoms
----------------------------- 19 -- 141 -- Chaos Dwarfs
----------------------------- 20 -- 142 -- Altdorf
----------------------------- 21 -- 143 -- Nuln
----------------------------- 22 -- 144 -- Middenheim
----------------------------- 23 -- 145 -- Itza
----------------------------- 24 -- 149 -- Nagashizzar
----------------------------- 10 -- 146 -- Slaanesh
----------------------------- 9 -- 160 -- Greenskins North
----------------------------- 8 -- 161 -- Greenskins South
----------------------------- 7 -- 178 -- Dark Elves
----------------------------- 6 -- 111 -- Wood Elves
----------------------------- 5 -- 122 -- Beastmen
----------------------------- 4 -- 147 -- Khorne
----------------------------- 3 -- 148 -- Kislev


------ KNOWN BUG

-- when a capital is taken and the capital is a cave province and the nation taking it doesn't replace cave poptypes, they seem to never reset the national poptype there to cavemen. I don't know why this is happening though



------ UPDATES

-- Version 2.2

-- Fixed all national poptype replacement to never trigger on own capital (except beastmen because they have no fort), in the hopes this helps with the known bug above
-- Tweaked VAMPIRIA PD to use montags, get more soulless
-- Tweaked NORSCA PD to have half the number of hunters
-- added NURGLE


-- Version 2.1

-- added NORSCA

-- Version 2.0

-- added NAGASHIZZAR

-- Version 1.9

-- Added KISLEV
-- Removed the extra 20+ point PD commanders in a couple of cases where it didn't make sense

-- Version 1.8

-- Added a line to help support Kurtcop's mod merger tool
-- LIZARDMEN no longer have Chameleon Scout as a recruit anywhere (but still in forts, forests, swamps)

-- Version 1.7

-- BEASTLANDS fixed, wasn't triggering events


-- Version 1.6

-- BEASTLANDS added


-- Version 1.5

-- KHORNE added



-- Version 1.4

-- KARAZ-A-KARAK PD made weaker
-- MIDDENHEIM PD improved
-- ALTDORF PD improved
-- NULN PD tweaked
-- SLAANESH PD tweaked
-- VAMPIRIA PD improved




----- POPTYPES

-- poptypes 1-24 are apparently unused, as are 67, 69, 70


-- Kislev

#selectpoptype 3
#clearrec
#cleardef
#addrecunit 3760 -- gospodar axeman
#addrecunit 3762 -- gospodar crossbowman
#addreccom 3739 -- Druzhinnik
#defcom1 3758 -- warrior priest of ursun
#defunit1 3760 -- gospodar axeman
#defunit1b 3762 -- gospodar crossbowman
#defmult1 10
#defmult1b 10
#end


-- Khorne

#selectpoptype 4
#clearrec
#cleardef
#addrecunit 6204 -- Marauder (montag)
#addrecunit 6203 -- Marauder Hunter (javelins, spear)
#addrecunit 6234 -- Marauder Horseman (javelin, light lance, shield)
#addreccom 6236 -- marauder scout
#addreccom 6259 -- Marauder chieftain
#defunit1 -1042 -- marauder montag
#defunit1b 6203 -- marauder hunter
#defmult1 10
#defmult1b 10
#end


-- Beastmen

#selectpoptype 5
#clearrec
#cleardef
#defunit1 -3222  -- Ungor montag
#defunit1b 5762 -- Ungor Raider with bow
#defunit1c 5763  -- Gor
#defmult1 20 -- 2 per point
#defmult1b 10 -- 1 per point
#defmult1c 10 -- 1 per point
#end


-- Wood Elves

#selectpoptype 6
#clearrec
#cleardef
#addrecunit 4131 -- Glade Guard
#addrecunit 4139 -- Glade Rider
#addreccom 4137 -- glade captain
#defunit1 4131 -- Glade Guard
#defunit1b 4143 -- dryad
#defmult1 10
#defmult1b 10
#end


-- Dark Elves

#selectpoptype 7
#clearrec
#cleardef
#addrecunit 5100  -- Dreadspear
#addrecunit 5103  -- Darkshard
#addreccom 5119 -- Master
#defunit1 5103 -- Darkshard
#defunit1b 5100 -- Dreadspear
#defmult1 10
#defmult1b 10
#end

-- Greenskins South

#selectpoptype 8
#clearrec
#cleardef
#addrecunit 3800 -- goblin montag
#addrecunit 3802 -- goblin archer
#addreccom 3964 -- goblin boss (SOUTH)
#addreccom 3900 -- goblin wolfrider scout
#defcom1 3957 -- orc boss (SOUTH)
#defunit1 -6552 -- goblin infantry montag
#defunit1b 3802 -- goblin archer
#defmult1 15
#defmult1b 15
#end

-- Greenskins North

#selectpoptype 9
#clearrec
#cleardef
#addrecunit 3800 -- goblin montag
#addrecunit 3802 -- goblin archer
#addreccom 3912 -- goblin boss
#addreccom 3900 -- goblin wolfrider scout
#defcom1 3905 -- orc boss
#defunit1 -6552 -- goblin infantry montag
#defunit1b 3802 -- goblin archer
#defmult1 15
#defmult1b 15
#end

-- Slaanesh

#selectpoptype 10
#clearrec
#cleardef
#addrecunit 4204 -- Marauder (recruitable montag)
#addrecunit 4203 -- Marauder Hunter (javelins, spear)
#addrecunit 4234 -- Marauder Horseman (javelin, light lance, shield)
#addreccom 4236 -- marauder scout
#addreccom 4259 -- Marauder chieftain
#defunit1 -1032 -- marauder montag
#defunit1b 4203 -- marauder hunter
#defmult1 10
#defmult1b 10
#end


-- High Elves

#selectpoptype 11
#clearrec
#cleardef
#addrecunit 6002 -- Spearmen
#addrecunit 6001 -- Archer
#addreccom 6015 -- scout
#defunit1 6002 -- Spearmen
#defunit1b 6001 -- Archer
#defmult1 10
#defmult1b 10
#end

-- Tomb Kings

#selectpoptype 12
#clearrec
#cleardef
#addreccom 5271 -- tomb herald
#addrecunit 5242 -- light spear
#addrecunit 5244 -- light infantry
#addrecunit 5246 -- light archer
#addrecunit 5248 -- warrior
#defcom1 5276 -- liche acolyte
#defunit1 5242 -- light spear
#defunit1b 5246 -- light archer
#defmult1 15
#defmult1b 10
#end

-- Vampires

#selectpoptype 13
#clearrec
#cleardef
#addrecunit 4102 -- Soulless montag recruit form
#addrecunit 4053 -- Longdead montag recruit form
#addreccom 4048 -- Vampire bat as scout
#defunit1 -6561 -- longdead montag
#defunit1b -6563 -- soulless montag
#defmult1 14
#defmult1b 24
#end


-- Bretonnia

#selectpoptype 14
#clearrec
#cleardef
#addrecunit 3662 -- Men-at-Arms (leather)
#addrecunit 3663 -- Men-at-Arms (chain)
#addrecunit 3665 -- Peasant Bowman
#addreccom 3675 -- Yeoman Outrider
#addreccom 3697 -- Paladin
#defcom1 3728 -- Grail Maiden
#defunit1 3662 -- Men-at-Arms (leather)
#defunit1b 3663 -- Men-at-Arms (chain)
#defunit1c 3665 -- Peasant Bowman
#defmult1 20
#defmult1b 10
#defmult1c 20
#end

-- Tilea

#selectpoptype 15
#clearrec
#cleardef
#addrecunit 5352 -- pikeman
#addrecunit 5353 -- crossbowman
#addreccom 5430 -- Scout
#addreccom 5368 -- merc captain
#addreccom 5431 -- Generic Priest
#defunit1 5352 -- pikeman
#defunit1b 5353 -- crossbowman
#defmult1 10
#defmult1b 10
#end

-- Skaven

#selectpoptype 16
#clearrec
#cleardef
#addrecunit 5542 -- Skavenslave with club
#addrecunit 5587 -- Skavenslave with spear and shield
#addrecunit 5551 -- Skavenslave slinger
#addrecunit 5541 -- Clanrat Spear
#addrecunit 5540 -- Clanrat Sword
#addrecunit 
#addreccom 5580 -- Scout
#addreccom 5560 -- Chieftain
#defcom1 5562 -- Moulder Packmaster
#defunit1 5541 -- Clanrat Spear
#defunit1b 5540 -- Clanrat Sword
#defunit1c 5551 -- Skavenslave slinger
#defmult1 20
#defmult1b 10
#defmult1c 10
#end

-- Dwarfs

#selectpoptype 17
#clearrec
#cleardef
#addrecunit 6100 -- Clansdwarf
#addrecunit 6102 -- Crossbowdwarf
#addreccom 6111 -- Thane
#defcom1 6127 -- Ancestor Stone
#defunit1 6100 -- Clansdwarf
#defunit1b 6102 -- Crossbowdwarf
#defmult1 10
#defmult1b 5
#end

-- Ogre Kingdoms

#selectpoptype 18
#clearrec
#cleardef
#addrecunit 5503 -- Gnoblar Fighter
#addrecunit 5500 -- Ogre Bull Club
#addrecunit 5501 -- Ogre Bull Ironfist
#addreccom 5527 -- Gnoblar Scout
#addreccom 5520 -- Ogre Bruiser
#defunit1 5503 -- Gnoblar Fighter
#defunit1b 5500 -- Ogre Bull Club
#defmult1 20
#defmult1b 8
#end

-- Chaos Dwarfs

#selectpoptype 19
#clearrec
#cleardef
#addrecunit 8108 -- Hobgoblin Spearman
#addrecunit 8107 -- Hobgoblin Archer
#addrecunit 8100 -- Chaos Dwarf Warrior
#addreccom 8125 -- Hobgoblin Scout
#addreccom 8129 -- Castellan
#defcom1 8126 -- Hobgoblin Khan -- Sets the secondary commander for this poptype’s PD when PD is 20 or higher.
#defunit1 8107 -- Hobgoblin Archer
#defunit1b 8108 -- Hobgoblin Spearman
#defmult1 10
#defmult1b 20
#end

-- Altdorf

#selectpoptype 20
#clearrec
#cleardef
#addrecunit 7450 -- State Spearman
#addrecunit 7454 -- Archer
#addreccom 426 -- Scout
#addreccom 7436 -- State Captain
#defcom1 7437 -- Warrior Priest -- Sets the secondary commander for this poptype’s PD when PD is 20 or higher.
#defunit1 7450 -- State Spearman -- Sets the first type of unit in the poptype PD.
#defunit1b 7454 -- Archer -- Sets the second type of unit in the poptype PD.
#defunit1c 7453 -- state crossbow
#defmult1 10 -- Number of units per 10 points of defense. E.g. __#defmult1 20 will yield 2 units per point of defense, which is also the default.
#defmult1b 10 -- number of units per 10 points of defense for the second unit type.
#defmult1c 5 --
#end

-- Nuln

#selectpoptype 21
#clearrec
#cleardef
#addrecunit 7403 -- State Spearman (N)
#addrecunit 7399 -- Archer (N)
#addrecunit 7420 -- State Crossbowman (N)
#addreccom 426 -- Scout
#addreccom 7417 -- State Captain (N)
#defunit1 7403 -- State Spearman (N)
#defunit1b 7399 -- Archer (N)
#defunit1c 7420 -- State Crossbowman (N)
#defmult1 10
#defmult1b 5
#defmult1c 10
#end

-- Middenheim

#selectpoptype 22
#clearrec
#cleardef
#addrecunit 7502 -- State Spearman (Middenheim)
#addrecunit 7518 -- Archer (Middenheim)
#addreccom 426 -- Scout
#addreccom 7504 -- State Captain (Middenheim)
#defcom1 7522 -- Warrior Priest of Ulric (middenheim)
#defunit1 7502 -- State Spearman (Middenheim)
#defunit1b 7518 -- Archer (Middenheim)
#defmult1 15
#defmult1b 10
#end

-- Itza (lizardmen)

#selectpoptype 23
#clearrec
#cleardef
#addrecunit 7313 -- Skink Skirmisher (jav and shield)
#addrecunit 7312 -- Skink blowpipes
#addrecunit 7314 -- Skink Archer
#addreccom 7295 -- Skink Warchief
#defcom1 7295 -- Skink Warchief
#defunit1 7313 -- Skink Skirmisher (jav and shield)
#defunit1b 7312 -- Skink blowpipes
#defmult1 20
#defmult1b 20
#end

-- Nagashizzar (undead)

#selectpoptype 24
#clearrec
#cleardef
#addrecunit 3843 -- Soulless montag recruit form
#addrecunit 3783 -- Longdead montag recruit form
#defunit1 -6566 -- Longdead montag
#defunit1b 3798 -- Longdead Archer
#defmult1 15
#defmult1b 12
#end


-- Norsca

#selectpoptype 67
#clearrec
#cleardef
#addrecunit 7704 -- Thrall
#addrecunit 7702 -- Hunter
#addrecunit 7712 -- Warrior
#defunit1 7704 -- Thrall
#defunit1b 7702 -- Hunter
#defmult1 20
#defmult1b 10
#end


-- Nurgle

#selectpoptype 69
#clearrec
#cleardef
#addrecunit 5906 -- Marauder (recruitable montag)
#addrecunit 5908 -- Marauder Hunter (javelins, spear)
#addrecunit 5913 -- Marauder Light Horseman (javelin)
#addreccom 5981 -- marauder scout
#addreccom 5990 -- Marauder chieftain
#defunit1 -1012 -- marauder montag
#defunit1b 5908 -- Marauder Hunter (javelins, spear)
#defmult1 10
#defmult1b 10
#end




----- POPTYPE EVENTS
-- Each nation needs an event that turns their own poptype into a suitable generic poptype. Then following that, an event that turns any province under their control into their poptype. That way if they control a province it has their poptype, if they don't then it doesn't


---- KISLEV

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 3
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 3
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 148
#req_owncapital 0 -- never triggers in own cap
#setpoptype 3
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end



---- KHORNE

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 4
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 4
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 147
#req_owncapital 0 -- never triggers in own cap
#setpoptype 4
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- NURGLE

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 69
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 69
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 150
#req_owncapital 0 -- never triggers in own cap
#setpoptype 69
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end



---- BEASTMEN

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 5
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 5
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 122 -- beastmen
#setpoptype 5
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end





---- WOOD ELVES

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 6
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 6
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 111
#req_owncapital 0 -- never triggers in own cap
#setpoptype 6
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end






---- DARK ELVES

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 7
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 7
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 178
#req_owncapital 0 -- never triggers in own cap
#setpoptype 7
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end




---- GREENSKINS SOUTH (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 8
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 161
#req_owncapital 0 -- never triggers in own cap
#setpoptype 8
#req_land 1 -- must be land
#end

---- GREENSKINS NORTH (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 9
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 160
#req_owncapital 0 -- never triggers in own cap
#setpoptype 9
#req_land 1 -- must be land
#end




---- SLAANESH

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 10
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 10
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 146
#req_owncapital 0 -- never triggers in own cap
#setpoptype 10
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end



---- ULTHUAN

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 11
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 11
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 110
#req_owncapital 0 -- never triggers in own cap
#setpoptype 11
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end

---- TOMB KINGS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 12
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 112
#req_owncapital 0 -- never triggers in own cap
#setpoptype 12
#req_land 1 -- must be land
#end



---- VAMPIRES (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 13
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 113
#req_owncapital 0 -- never triggers in own cap
#setpoptype 13
#req_land 1 -- must be land
#end





---- NAGASHIZZAR (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 24
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 24
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 24
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 149
#req_owncapital 0 -- never triggers in own cap
#setpoptype 24
#req_land 1 -- must be land
#end







---- BRETONNIA

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 14
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 14
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 114
#req_owncapital 0 -- never triggers in own cap
#setpoptype 14
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- TILEA

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 15
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 15
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 115
#req_owncapital 0 -- never triggers in own cap
#setpoptype 15
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- SKAVEN (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 16
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 116
#req_owncapital 0 -- never triggers in own cap
#req_owncapital 0 -- never triggers in own cap
#setpoptype 16
#req_land 1 -- must be land
#end


---- DWARFS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 17
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 117
#req_owncapital 0 -- never triggers in own cap
#setpoptype 17
#req_land 1 -- must be land
#end


---- OGRES (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 18
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 121
#req_owncapital 0 -- never triggers in own cap
#setpoptype 18
#req_land 1 -- must be land
#end



---- CHAOS DWARFS (includes caves)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#req_cave 0
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 19
#setpoptype 84 -- cavemen
#req_cave 1
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 141
#req_owncapital 0 -- never triggers in own cap
#setpoptype 19
#req_land 1 -- must be land
#end




---- ALTDORF

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 20 -- altdorf poptype
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 20 -- altdorf poptype
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 142 -- altdorf
#req_owncapital 0 -- never triggers in own cap
#setpoptype 20
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- NULN

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 21
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 21
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 143
#req_owncapital 0 -- never triggers in own cap
#setpoptype 21
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- MIDDENHEIM

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 22
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 22
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 144
#req_owncapital 0 -- never triggers in own cap
#setpoptype 22
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end


---- ITZA (LIZARDMEN)

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 23
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 23
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 145
#req_owncapital 0 -- never triggers in own cap
#setpoptype 23
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end



---- NORSCA

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 67
#setpoptype 28 -- commander, priest, militia, archer, heavy infantry recruitables -- PD: 1 archer, 1 militia, .5 infantry, commander at 20
#req_rare 50 -- each will have 50% chance
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_poptype 67
#setpoptype 50 -- scout, commander, priest, militia, light infantry, heavy infantry recruitables -- PD is PD: 1 militia, 1 light infantry, .5 heavy infantry, commander at 20
#end

#newevent
#msg "msg."
#nolog -- makes the event not appear in the log
#notext -- make the event not have any text
#rarity 5
#req_indepok 1 -- can happen in indy prov
#req_pop0ok -- can fire in provinces with low pop
#req_fornation 162
#req_owncapital 0 -- never triggers in own cap
#setpoptype 67
#req_cave 0 -- don't replace cave poptypes
#req_land 1 -- must be land
#end




